[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#445735: image creation fails with a non-modular kernel



merge 445735 433708
tags 445735 patch
thanks

On Mon, Oct 08, 2007 at 09:00:09AM +0200, maximilian attems wrote:
> 
> bah this is a duplicate bug report.
> boring and yes modular kernel are recommended!

bah, that was a useless reply.

Other people recommend a non-modular kernel, especially if no modules
are needed. There is no reason not to support this configuration.

Here's another patch, a little less quick and dirty than the one in
433708. Works for me, but I can't promise it doesn't break someone's
hook script somewhere.
--- /usr/sbin/mkinitramfs	2007-10-09 00:21:04.000000000 +0000
+++ /usr/sbin/mkinitramfs	2007-10-09 00:21:12.000000000 +0000
@@ -155,7 +155,11 @@
 
 if [ ! -e "${MODULESDIR}" ]; then
 	echo "Cannot find ${MODULESDIR}"
-	exit 1
+#	exit 1
+else
+	if [ ! -e "${MODULESDIR}/modules.dep" ]; then
+		depmod ${version}
+	fi
 fi
 
 DESTDIR="$(mktemp -t -d mkinitramfs_XXXXXX)" || exit 1

Reply to: